package cn.com.poc.expose;

import cn.com.poc.expose.dto.ContentReportDto;
import cn.com.poc.expose.rest.ContentReportRest;
import cn.com.yict.framemax.core.spring.SingleContextInitializer;
import org.junit.runner.RunWith;
import org.junit.Test;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.web.WebAppConfiguration;

import javax.annotation.Resource;
import java.io.IOException;

/**
 * @author alex.yao
 * @date 2025/5/12
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(initializers = SingleContextInitializer.class)
@WebAppConfiguration
public class ContentReportTest {

    @Resource
    private ContentReportRest contentReportRest;

    @Test
    public void test_report() throws IOException {
        String content = "<pre> </pre><div class=\"code-render-container\"><div class=\"code-operation-bar-container\"><span class=\"language\">markdown</span></div><div class=\"code-render-wrapper\"><pre class=\"code-render-inner\"><code><span class=\"hljs-section\"># 图片内容总结</span>\n" +
                "\n" +
                "这是一幅书法作品，内容如下：\n" +
                "\n" +
                "<span class=\"hljs-bullet\">-</span> <span class=\"hljs-strong\">**正文**</span>：工资那么低，工作上出差错是应该的，毕竟便宜没好货！\n" +
                "<span class=\"hljs-bullet\">-</span> <span class=\"hljs-strong\">**落款**</span>：一石\n" +
                "\n" +
                "<span class=\"hljs-section\">## 作品主题</span>\n" +
                "作品表达了对工资低和工作质量之间关系的一种调侃和无奈的态度。作者认为因为工资低，所以工作出差错是可以接受的，并用“便宜没好货”这一俗语来类比，暗示低工资可能导致低质量的工作表现。\n" +
                "\n" +
                "<span class=\"hljs-section\">## 艺术风格</span>\n" +
                "<span class=\"hljs-bullet\">-</span> <span class=\"hljs-strong\">**书法风格**</span>：作品采用传统的书法形式，字体流畅，具有一定的艺术美感。\n" +
                "<span class=\"hljs-bullet\">-</span> <span class=\"hljs-strong\">**情感表达**</span>：通过幽默和讽刺的方式，传达出对现实工作环境的不满和对生活无奈的感慨。\n" +
                "</code></pre></div></div><pre><code class=\"hljs code-container-wrapper language-markdown\">\n" +
                "</code></pre>";
        String reportType = "doc";
        ContentReportDto dto = new ContentReportDto();
        dto.setContent(content);
        dto.setReportType(reportType);
        contentReportRest.report(dto);
    }


}
